From: Samuel Holland <samuel@sholland.org>
Date: Sat, 3 Apr 2021 17:14:49 -0500
Subject: clk: sunxi-ng: Export CLK_DRAM for devfreq

MBUS needs to reference the CLK_DRAM clock, as it is responsible for
DRAM frequency scaling.

Signed-off-by: Samuel Holland <samuel@sholland.org>
---
 drivers/clk/sunxi-ng/ccu-sun8i-a83t.h      | 4 ----
 include/dt-bindings/clock/sun8i-a83t-ccu.h | 5 ++---
 2 files changed, 2 insertions(+), 7 deletions(-)

diff --git a/drivers/clk/sunxi-ng/ccu-sun8i-a83t.h b/drivers/clk/sunxi-ng/ccu-sun8i-a83t.h
index 40e575ba..6c927bc 100644
--- a/drivers/clk/sunxi-ng/ccu-sun8i-a83t.h
+++ b/drivers/clk/sunxi-ng/ccu-sun8i-a83t.h
@@ -42,12 +42,8 @@
 
 /* module and usb clocks exported */
 
-#define CLK_DRAM		82
-
 /* dram gates and more module clocks exported */
 
-#define CLK_MBUS		95
-
 /* more module clocks exported */
 
 #define CLK_NUMBER		(CLK_GPU_HYD + 1)
diff --git a/include/dt-bindings/clock/sun8i-a83t-ccu.h b/include/dt-bindings/clock/sun8i-a83t-ccu.h
index 78af508..affe185 100644
--- a/include/dt-bindings/clock/sun8i-a83t-ccu.h
+++ b/include/dt-bindings/clock/sun8i-a83t-ccu.h
@@ -116,10 +116,9 @@
 #define CLK_USB_HSIC		79
 #define CLK_USB_HSIC_12M	80
 #define CLK_USB_OHCI0		81
-
+#define CLK_DRAM		82
 #define CLK_DRAM_VE		83
 #define CLK_DRAM_CSI		84
-
 #define CLK_TCON0		85
 #define CLK_TCON1		86
 #define CLK_CSI_MISC		87
@@ -130,7 +129,7 @@
 #define CLK_AVS			92
 #define CLK_HDMI		93
 #define CLK_HDMI_SLOW		94
-
+#define CLK_MBUS		95
 #define CLK_MIPI_DSI0		96
 #define CLK_MIPI_DSI1		97
 #define CLK_GPU_CORE		98
